import { PLACEHOLDER } from "./constants";
import { ReactElement } from "react";
import { OptionProps } from "./Option";
export declare type Mark<T> = {
    id: string;
    value: string;
    props: T;
    childIndex: number;
};
declare type id = `${string}${PLACEHOLDER.Id}${string}`;
declare type value = `${string}${PLACEHOLDER.Value}${string}`;
export declare type Markup = `${value}${id}` | `${value}`;
export declare type PassedOptions<T> = ReactElement<OptionProps<T>> | ReactElement<OptionProps<T>>[];
export declare type Configs<T> = OptionProps<T>[];
export declare type Slice<T> = string | Mark<T>;
export declare type SliceMap<T> = Map<number, Slice<T>>;
export declare type Match = {
    annotation: string;
    id: string;
    value: string;
    index: number;
    input: string;
    childIndex: number;
};
export {};
