import { CSSProperties } from "react";
import { Caret } from "../hooks/useCaret";
import { Focus } from "../hooks/useFocus";
export interface EditableSpanProps {
    id: number;
    caret: Caret;
    focus: Focus;
    value: string;
    onChange?: Function;
    className?: string;
    style?: CSSProperties;
    readOnly?: boolean;
}
export declare const EditableSpan: ({ id, caret, onChange, value, focus, ...props }: EditableSpanProps) => JSX.Element;
